<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use Carbon_Fields\Field\Field;
use Gigneo\Post_Meta\Serialized;

$gigneo_showcase_fields[] = Field::make( 'complex', 'gigneo_pm_portfolio', esc_html__( 'Portfolio', 'gigneo' ) )
						->set_datastore( new Serialized() )
						->add_fields(
							array(
								Field::make( 'text', 'title', esc_html__( 'Title', 'gigneo' ) ),
								Field::make( 'date', 'date', esc_html__( 'Date', 'gigneo' ) ),
								Field::make( 'text', 'role', esc_html__( 'Role', 'gigneo' ) ),
								Field::make( 'image', 'image', esc_html__( 'Featured image', 'gigneo' ) ),
								Field::make( 'select', 'type', esc_html__( 'Preview type', 'gigneo' ) )
										->set_options(
											array(
												'image'    => esc_html__( 'Image', 'gigneo' ),
												'document' => esc_html__( 'Document', 'gigneo' ),
												'video'    => esc_html__( 'Video', 'gigneo' ),
												'link'     => esc_html__( 'Link', 'gigneo' ),
											)
										)
									->set_classes( 'gn-select2' ),
								Field::make( 'image', 'preview_image', esc_html__( 'Preview image', 'gigneo' ) )
									->set_conditional_logic(
										array(
											array(
												'field' => 'type',
												'value' => 'image',
											),
										)
									),
								Field::make( 'file', 'preview_document', esc_html__( 'Preview document', 'gigneo' ) )
									->set_conditional_logic(
										array(
											array(
												'field' => 'type',
												'value' => 'document',
											),
										)
									),
								Field::make( 'text', 'preview_video', esc_html__( 'Preview video', 'gigneo' ) )
									->set_attribute( 'type', 'url' )
									->set_conditional_logic(
										array(
											array(
												'field' => 'type',
												'value' => 'video',
											),
										)
									),
								Field::make( 'text', 'preview_link', esc_html__( 'Preview link', 'gigneo' ) )
									->set_attribute( 'type', 'url' )
									->set_conditional_logic(
										array(
											array(
												'field' => 'type',
												'value' => 'link',
											),
										)
									),
							)
						)
						->set_header_template( '<%- title %>' )
						->set_collapsed( true );

$gigneo_showcase_fields[] = Field::make( 'complex', 'gigneo_pm_faqs', esc_html__( 'FAQs', 'gigneo' ) )
							->set_datastore( new Serialized() )
							->add_fields(
								array(
									Field::make( 'text', 'question', esc_html__( 'Question', 'gigneo' ) ),
									Field::make( 'textarea', 'answer', esc_html__( 'Answer', 'gigneo' ) ),
								)
							)
							->set_header_template( '<%- question %>' )
							->set_collapsed( true );
